import { UMB_SECTION_SIDEBAR_MENU_GLOBAL_CONTEXT } from './section-sidebar-menu.global-context.token.js';
import { UmbSectionSidebarMenuAppExpansionManager } from './expansion/section-sidebar-menu-app-expansion.manager.js';
import { UmbContextBase } from '../../../../../libs/class-api/index.js';
export class UmbSectionSidebarMenuGlobalContext extends UmbContextBase {
    constructor(host) {
        super(host, UMB_SECTION_SIDEBAR_MENU_GLOBAL_CONTEXT);
        this.expansion = new UmbSectionSidebarMenuAppExpansionManager(this);
    }
}
export { UmbSectionSidebarMenuGlobalContext as api };
